[terraform]
enabled = false
dualstack_support = false # "•ᴗ•"
[wireguard]
enabled = false
[load-balancing]
[ch-k8s-lbaas]

enabled       = false    # •ᴗ•
shared_secret = "..."   # REPLACE ME
version       = "0.6.0"
agent_port    = 15203

[kubernetes]
version = "{{ k8s_version }}" # •ᴗ•

is_gpu_cluster = false # •ᴗ•


[kubernetes.apiserver]
frontend_port = 8888 # •ᴗ•

[kubernetes.controller_manager]
[kubernetes.storage]
rook_enabled = false # •ᴗ•

nodeplugin_toleration = false # •ᴗ•

[kubernetes.local_storage.static]
enabled = false # •ᴗ•


[kubernetes.local_storage.dynamic]
enabled = true # •ᴗ•

[kubernetes.monitoring]
enabled = true # •ᴗ•

[kubernetes.global_monitoring]
enabled       = false                      # •ᴗ•
[kubernetes.network]
{% if yaook_k8s_ip6_enabled %}
pod_subnet_v6 = "{{ yaook_k8s_pod_network }}"
service_subnet_v6 = "{{ yaook_k8s_service_network }}"
{% else %}
pod_subnet = "{{ yaook_k8s_pod_network }}"
service_subnet = "{{ yaook_k8s_service_network }}"
{% endif %}

plugin = "calico" # •ᴗ•

[kubernetes.network.calico]
mtu = 1500

[kubernetes.kubelet]
[kubernetes.continuous_join_key]
enabled = false # •ᴗ•

[k8s-service-layer.rook]

namespace    = "rook-ceph" # •ᴗ•
cluster_name = "rook-ceph" # •ᴗ•

dashboard = true

[k8s-service-layer.prometheus]

install = true
use_grafana = true
grafana_persistent_storage_class="csi-driver-lvm-linear"
prometheus_monitor_all_namespaces=true
scheduling_key = "{{ '{{' }} scheduling_key_prefix {{ '}}' }}/monitoring"


[k8s-service-layer.cert-manager]
enabled = true # •ᴗ•


[k8s-service-layer.ingress]
enabled = true # •ᴗ•

nodeport_http = 32080

nodeport_https = 32443
[k8s-service-layer.etcd-backup]

[vault]
cluster_name = "{{ cluster_name }}" 


[node-scheduling]
scheduling_key_prefix = "scheduling.mk8s.cloudandheat.com"

[node-scheduling.labels]

[node-scheduling.taints]


[ipsec]

[testing.test-nodes]
[miscellaneous]

install_node_online_mode = true

wireguard_on_workers = false

container_runtime = "containerd"  # "•ᴗ•"
custom_chrony_configuration = true

custom_ntp_servers = {{ yaook_k8s_ntp_server | to_json }}

{% if yaook_k8s_ip6_enabled %}
ipv6_enabled = true
ipv4_enabled = false
subnet_v6_cidr = "{{ yaook_k8s_calico_node_subnet }}"
networking_fixed_ip_v6 = "{{ yaook_k8s_fixed_ip }}"
k8s_network_ipv6_nat_outgoing = false    
{% else %}
dualstack_support = false
ipv6_enabled = false
ipv4_enabled = true
subnet_cidr = "{{ yaook_k8s_calico_node_subnet }}"
networking_fixed_ip = "{{ yaook_k8s_fixed_ip }}"
{% endif %}

install_node_service_reload_image = "registry.gitlab.com/yaook/images/service-reload/service-reload:1.0.49"
[nvidia.vgpu]
